org.apache.olingo.odata2.api.processor

## Class ODataResponse.ODataResponseBuilder

- java.lang.Object
- - org.apache.olingo.odata2.api.processor.ODataResponse.ODataResponseBuilder

- Enclosing class:
    ODataResponse

      public abstract static class ODataResponse.ODataResponseBuilder
      extends Object

  Implementation of the builder pattern to create instances of this type of object.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ODataResponseBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ODataResponse` | `build()`
    `abstract ODataResponse.ODataResponseBuilder` | `contentHeader(String contentHeader)`
    `abstract ODataResponse.ODataResponseBuilder` | `entity(Object entity)`
    `abstract ODataResponse.ODataResponseBuilder` | `eTag(String eTag)`
    `protected abstract ODataResponse.ODataResponseBuilder` | `fromResponse(ODataResponse response)`
    `abstract ODataResponse.ODataResponseBuilder` | `header(String name, String value)`
    `abstract ODataResponse.ODataResponseBuilder` | `idLiteral(String idLiteral)`
    `abstract ODataResponse.ODataResponseBuilder` | `status(HttpStatusCodes status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataResponseBuilder

          protected ODataResponseBuilder()

  - ### Method Detail

    - #### build

          public abstract ODataResponse build()

    - #### status

          public abstract ODataResponse.ODataResponseBuilder status(HttpStatusCodes status)

    - #### entity

          public abstract ODataResponse.ODataResponseBuilder entity(Object entity)

    - #### header

          public abstract ODataResponse.ODataResponseBuilder header(String name,
                                                                    String value)

    - #### idLiteral

          public abstract ODataResponse.ODataResponseBuilder idLiteral(String idLiteral)

    - #### eTag

          public abstract ODataResponse.ODataResponseBuilder eTag(String eTag)

    - #### contentHeader

          public abstract ODataResponse.ODataResponseBuilder contentHeader(String contentHeader)

    - #### fromResponse

          protected abstract ODataResponse.ODataResponseBuilder fromResponse(ODataResponse response)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.